/* Slide from Left (Text) */
@keyframes slideInLeft {
  0% {
    transform: translateX(-500px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}
/* Slide from Left (Text) */
@keyframes slideInDown {
  0% {
    transform: translateY(-500px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

/* Slide from Right (Image) */
@keyframes slideInRight {
  0% {
    transform: translateX(500px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes leftToRight {
  0% {
    transform: translateX(-500px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.animate-marquee {
  display: flex;
  animation: marquee 10s linear infinite;
}

.animate-down {
  animation: slideInDown 1.2s cubic-bezier(0.8, 0, 0.25, 1) forwards;
}

/* In your CSS file */
.custom-bezier {
  transition-timing-function: cubic-bezier(0.34, 1.56, 0.64, 1);
}

.animate-left {
  animation: slideInLeft 1.2s cubic-bezier(0.8, 0, 0.25, 1) forwards;
}
.animate-right {
  animation: slideInRight 1.2s cubic-bezier(0.8, 0, 0.25, 1) forwards;
}

.animate-left-to-right {
  animation: leftToRight 1.2s cubic-bezier(0.34, 1.56, 0.64, 1) forwards;
}

/* Delays */
.delay-100 {
  animation-delay: 0.1s;
}
.delay-200 {
  animation-delay: 0.2s;
}
.delay-300 {
  animation-delay: 0.3s;
}
.delay-400 {
  animation-delay: 0.4s;
}
.delay-500 {
  animation-delay: 0.5s;
}
.delay-600 {
  animation-delay: 0.6s;
}
